#include "maFenetre.hpp"

#include <iostream>

maFenetre::maFenetre(QWidget *parent)
  :QWidget(parent)
{
    std::cout<<"Generation de la fenetre"<<std::endl;
    quitButton=new QPushButton("Quit");
    checkBox1=new QCheckBox(QString("selection 1"));
    checkBox2=new QCheckBox(QString("selection 2"));

    mainLayout=new QGridLayout;

    mainLayout->addWidget(checkBox1,0,1);
    mainLayout->addWidget(checkBox2,0,2);
    mainLayout->addWidget(quitButton,1,3);


    connect(quitButton,SIGNAL(clicked()),this,SLOT(quitteFenetre()));
    connect(checkBox1,SIGNAL(clicked()),this,SLOT(clicBouton()));
    connect(checkBox2,SIGNAL(clicked()),this,SLOT(clicBouton()));

    this->setLayout(mainLayout);
    this->setWindowTitle(tr("Ma fenetre"));
}

maFenetre::~maFenetre()
{
    std::cout<<"Destruction fenetre"<<std::endl;
}

void maFenetre::quitteFenetre()
{
  std::cout<<"Je quitte"<<std::endl;
  this->window()->close();
}

void maFenetre::clicBouton()
{
    std::cout<<"Clic sur un bouton, etat courant ("<<checkBox1->isChecked()<<","<<checkBox2->isChecked()<<")"<<std::endl;
}
