#ifndef MONWIDGETGL_H
#define MONWIDGETGL_H

#include <GL/glew.h>
#include <GL/gl.h>

#include <QtOpenGL/QGLWidget>


class monWidgetGL : public QGLWidget
{
    Q_OBJECT
public:
    monWidgetGL(const QGLFormat& format,QGLWidget *parent = 0);
    ~monWidgetGL();


    void afficher();
    void wireframe(bool est_actif);

protected:

    void initializeGL();
    void paintGL();



private:

    GLuint shader_program_id;
    GLuint vbo;

    bool etat_affichage;


};

#endif // MONWIDGETGL_H
